Has anyone gotten Pyglet to work

Steven D'Aprano steve+comp.lang.python at pearwood.info
Tue Jul 30 00:40:10 CEST 2013


On Mon, 29 Jul 2013 18:22:02 -0400, Devyn Collier Johnson wrote:

> Duh, thanks for the tip (^u^), but I still get an error (different
> error). NOTE: this is all python2.7 code because Pyglet supposedly has
> issues with Python3.
[...]
> Traceback (most recent call last):
>    File "./pymedia.py", line 3, in <module>
>      song = pyglet.media.load('./boot.ogg')
>    File
> "/usr/local/lib/python2.7/dist-packages/pyglet/media/__init__.py", line
> 1386, in load
>      source = _source_class(filename, file)
>    File "/usr/local/lib/python2.7/dist-packages/pyglet/media/riff.py",
> line 202, in __init__
>      'AVbin is required to decode compressed media')
> pyglet.media.riff.WAVEFormatException: AVbin is required to decode
> compressed media


You have a media file (boot.ogg) which pyglet is trying to play using 
AVbin, but you don't have AVbin.

As far as I know, pip is incapable of handling non-Python dependencies. I 
suggest you try your system's package manager:

Debian/Ubuntu:

sudo aptitude install AVbin

-or- 

sudo apt-get install AVbin



RedHat/Fedora/Centos:

sudo yum install AVbin


and hopefully your distro will already support the latest, or at least 
working, version.


-- 
Steven



More information about the Python-list mailing list